package com.bizmatics.mhfire.controller.web;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.common.core.bean.PageRequest;
import com.bizmatics.mhfire.service.AjhgzService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * @author yq
 * @date 2021/5/14 15:29
 */
@RestController
@RequestMapping("ajhgz")
public class AjhgzControllerWeb {


    @Autowired
    private AjhgzService ajhgzService;


    @GetMapping("ajhgzPage")
    public ApiResult<Page<Map<String,Object>>> ajhgzPage(){
        return ApiResult.success(ajhgzService.ajhgaPage(new PageRequest()));
    }


    @GetMapping("hzdcHzsgsmjlAllPage")
    public ApiResult<Page<Map<String,Object>>> hzdcHzsgsmjlAllPage(){
        return ApiResult.success(ajhgzService.hzdcHzsgsmjlAllPage(new PageRequest()));
    }
    @GetMapping("hzdcHztjbPage")
    public ApiResult<Page<Map<String,Object>>> hzdcHztjbPage(){
        return ApiResult.success(ajhgzService.hzdcHztjbPage(new PageRequest()));
    }
    @GetMapping("hzdcJyhzsgrdsPage")
    public ApiResult<Page<Map<String,Object>>> hzdcJyhzsgrdsPage(){
        return ApiResult.success(ajhgzService.hzdcJyhzsgrdsPage(new PageRequest()));
    }
    @GetMapping("hzdcYbhzsgrdsPage")
    public ApiResult<Page<Map<String,Object>>> hzdcYbhzsgrdsPage(){
        return ApiResult.success(ajhgzService.hzdcYbhzsgrdsPage(new PageRequest()));
    }
    @GetMapping("jbzbDwxxAllPage")
    public ApiResult<Page<Map<String,Object>>> jbzbDwxxAllPage(){
        return ApiResult.success(ajhgzService.jbzbDwxxAllPage(new PageRequest()));
    }
    @GetMapping("jbzbJdglxmAllPage")
    public ApiResult<Page<Map<String,Object>>> jbzbJdglxmAllPage(){
        return ApiResult.success(ajhgzService.jbzbJdglxmAllPage(new PageRequest()));
    }
    @GetMapping("jbzbSyxxPage")
    public ApiResult<Page<Map<String,Object>>> jbzbSyxxPage(){
        return ApiResult.success(ajhgzService.jbzbSyxxPage(new PageRequest()));
    }
    @GetMapping("jbzbZbbPage")
    public ApiResult<Page<Map<String,Object>>> jbzbZbbPage(){
        return ApiResult.success(ajhgzService.jbzbZbbPage(new PageRequest()));
    }
    @GetMapping("jdjcXfjdjcjlPage")
    public ApiResult<Page<Map<String,Object>>> jdjcXfjdjcjlPage(){
        return ApiResult.success(ajhgzService.jdjcXfjdjcjlPage(new PageRequest()));
    }
    @GetMapping("jdjcXzzftjAllPage")
    public ApiResult<Page<Map<String,Object>>> jdjcXzzftjAllPage(){
        return ApiResult.success(ajhgzService.jdjcXzzftjAllPage(new PageRequest()));
    }
    @GetMapping("xzcfXzcfqkbPage")
    public ApiResult<Page<Map<String,Object>>> xzcfXzcfqkbPage(){
        return ApiResult.success(ajhgzService.xzcfXzcfqkbPage(new PageRequest()));
    }
    @GetMapping("xzxkAjhgzPage")
    public ApiResult<Page<Map<String,Object>>> xzxkAjhgzPage(){
        return ApiResult.success(ajhgzService.xzxkAjhgzPage(new PageRequest()));
    }
    @GetMapping("xzxkAqjcpzPage")
    public ApiResult<Page<Map<String,Object>>> xzxkAqjcpzPage(){
        return ApiResult.success(ajhgzService.xzxkAqjcpzPage(new PageRequest()));
    }
    @GetMapping("xzxkBhgzPage")
    public ApiResult<Page<Map<String,Object>>> xzxkBhgzPage(){
        return ApiResult.success(ajhgzService.xzxkBhgzPage(new PageRequest()));
    }
    @GetMapping("xzxkShtssbbPage")
    public ApiResult<Page<Map<String,Object>>> xzxkShtssbbPage(){
        return ApiResult.success(ajhgzService.xzxkShtssbbPage(new PageRequest()));
    }
    @GetMapping("xzxkShyspzPage")
    public ApiResult<Page<Map<String,Object>>> xzxkShyspzPage(){
        return ApiResult.success(ajhgzService.xzxkShyspzPage(new PageRequest()));
    }
    @GetMapping("xzxkShysyjsPage")
    public ApiResult<Page<Map<String,Object>>> xzxkShysyjsPage(){
        return ApiResult.success(ajhgzService.xzxkShysyjsPage(new PageRequest()));
    }

    @GetMapping("xzxkXfajsbbPage")
    public ApiResult<Page<Map<String,Object>>> xzxkXfajsbbPage(){
        return ApiResult.success(ajhgzService.xzxkXfajsbbPage(new PageRequest()));
    }
}
